PageAttributes.MediaType (Java Platform SE 8 )
Keywords: java.awt.PageAttributes.MediaType class
Date: 2015-05-24

java.awt

## Class PageAttributes.MediaType

- java.lang.Object
- - java.awt.PageAttributes.MediaType

- Enclosing class:
    PageAttributes

      public static final class PageAttributes.MediaType
      extends Object

  A type-safe enumeration of possible paper sizes. These sizes are in compliance with IPP 1.1.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PageAttributes.MediaType` | `A` The MediaType instance for Engineering A, 8 1/2 x 11 in.
    `static PageAttributes.MediaType` | `A0` An alias for ISO_A0.
    `static PageAttributes.MediaType` | `A1` An alias for ISO_A1.
    `static PageAttributes.MediaType` | `A10` An alias for ISO_A10.
    `static PageAttributes.MediaType` | `A2` An alias for ISO_A2.
    `static PageAttributes.MediaType` | `A3` An alias for ISO_A3.
    `static PageAttributes.MediaType` | `A4` An alias for ISO_A4.
    `static PageAttributes.MediaType` | `A5` An alias for ISO_A5.
    `static PageAttributes.MediaType` | `A6` An alias for ISO_A6.
    `static PageAttributes.MediaType` | `A7` An alias for ISO_A7.
    `static PageAttributes.MediaType` | `A8` An alias for ISO_A8.
    `static PageAttributes.MediaType` | `A9` An alias for ISO_A9.
    `static PageAttributes.MediaType` | `B` The MediaType instance for Engineering B, 11 x 17 in.
    `static PageAttributes.MediaType` | `B0` An alias for ISO_B0.
    `static PageAttributes.MediaType` | `B1` An alias for ISO_B1.
    `static PageAttributes.MediaType` | `B10` An alias for ISO_B10.
    `static PageAttributes.MediaType` | `B2` An alias for ISO_B2.
    `static PageAttributes.MediaType` | `B3` An alias for ISO_B3.
    `static PageAttributes.MediaType` | `B4` An alias for ISO_B4.
    `static PageAttributes.MediaType` | `B5` An alias for ISO_B5.
    `static PageAttributes.MediaType` | `B6` An alias for ISO_B6.
    `static PageAttributes.MediaType` | `B7` An alias for ISO_B7.
    `static PageAttributes.MediaType` | `B8` An alias for ISO_B8.
    `static PageAttributes.MediaType` | `B9` An alias for ISO_B9.
    `static PageAttributes.MediaType` | `C` The MediaType instance for Engineering C, 17 x 22 in.
    `static PageAttributes.MediaType` | `C0` An alias for ISO_C0.
    `static PageAttributes.MediaType` | `C1` An alias for ISO_C1.
    `static PageAttributes.MediaType` | `C10` An alias for ISO_C10.
    `static PageAttributes.MediaType` | `C2` An alias for ISO_C2.
    `static PageAttributes.MediaType` | `C3` An alias for ISO_C3.
    `static PageAttributes.MediaType` | `C4` An alias for ISO_C4.
    `static PageAttributes.MediaType` | `C5` An alias for ISO_C5.
    `static PageAttributes.MediaType` | `C6` An alias for ISO_C6.
    `static PageAttributes.MediaType` | `C7` An alias for ISO_C7.
    `static PageAttributes.MediaType` | `C8` An alias for ISO_C8.
    `static PageAttributes.MediaType` | `C9` An alias for ISO_C9.
    `static PageAttributes.MediaType` | `D` The MediaType instance for Engineering D, 22 x 34 in.
    `static PageAttributes.MediaType` | `E` The MediaType instance for Engineering E, 34 x 44 in.
    `static PageAttributes.MediaType` | `ENV_10` An alias for NA_NUMBER_10_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_10X13` An alias for NA_10X13_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_10X14` An alias for NA_10X14_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_10X15` An alias for NA_10X15_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_11` An alias for NA_NUMBER_11_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_12` An alias for NA_NUMBER_12_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_14` An alias for NA_NUMBER_14_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_6X9` An alias for NA_6X9_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_7X9` An alias for NA_7X9_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_9` An alias for NA_NUMBER_9_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_9X11` An alias for NA_9X11_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_9X12` An alias for NA_9X12_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_INVITE` An alias for INVITE_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_ITALY` An alias for ITALY_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_MONARCH` An alias for MONARCH_ENVELOPE.
    `static PageAttributes.MediaType` | `ENV_PERSONAL` An alias for PERSONAL_ENVELOPE.
    `static PageAttributes.MediaType` | `EXECUTIVE` The MediaType instance for Executive, 7 1/4 x 10 1/2 in.
    `static PageAttributes.MediaType` | `FOLIO` The MediaType instance for Folio, 8 1/2 x 13 in.
    `static PageAttributes.MediaType` | `INVITE` An alias for INVITE_ENVELOPE.
    `static PageAttributes.MediaType` | `INVITE_ENVELOPE` The MediaType instance for Invitation Envelope, 220 x 220 mm.
    `static PageAttributes.MediaType` | `INVOICE` The MediaType instance for Invoice, 5 1/2 x 8 1/2 in.
    `static PageAttributes.MediaType` | `ISO_2A0` The MediaType instance for ISO/DIN and JIS 2A0, 1189 x 1682 mm.
    `static PageAttributes.MediaType` | `ISO_4A0` The MediaType instance for ISO/DIN and JIS 4A0, 1682 x 2378 mm.
    `static PageAttributes.MediaType` | `ISO_A0` The MediaType instance for ISO/DIN and JIS A0, 841 x 1189 mm.
    `static PageAttributes.MediaType` | `ISO_A1` The MediaType instance for ISO/DIN and JIS A1, 594 x 841 mm.
    `static PageAttributes.MediaType` | `ISO_A10` The MediaType instance for ISO/DIN and JIS A10, 26 x 37 mm.
    `static PageAttributes.MediaType` | `ISO_A2` The MediaType instance for ISO/DIN and JIS A2, 420 x 594 mm.
    `static PageAttributes.MediaType` | `ISO_A3` The MediaType instance for ISO/DIN and JIS A3, 297 x 420 mm.
    `static PageAttributes.MediaType` | `ISO_A4` The MediaType instance for ISO/DIN and JIS A4, 210 x 297 mm.
    `static PageAttributes.MediaType` | `ISO_A5` The MediaType instance for ISO/DIN and JIS A5, 148 x 210 mm.
    `static PageAttributes.MediaType` | `ISO_A6` The MediaType instance for ISO/DIN and JIS A6, 105 x 148 mm.
    `static PageAttributes.MediaType` | `ISO_A7` The MediaType instance for ISO/DIN and JIS A7, 74 x 105 mm.
    `static PageAttributes.MediaType` | `ISO_A8` The MediaType instance for ISO/DIN and JIS A8, 52 x 74 mm.
    `static PageAttributes.MediaType` | `ISO_A9` The MediaType instance for ISO/DIN and JIS A9, 37 x 52 mm.
    `static PageAttributes.MediaType` | `ISO_B0` The MediaType instance for ISO/DIN B0, 1000 x 1414 mm.
    `static PageAttributes.MediaType` | `ISO_B1` The MediaType instance for ISO/DIN B1, 707 x 1000 mm.
    `static PageAttributes.MediaType` | `ISO_B10` The MediaType instance for ISO/DIN B10, 31 x 44 mm.
    `static PageAttributes.MediaType` | `ISO_B2` The MediaType instance for ISO/DIN B2, 500 x 707 mm.
    `static PageAttributes.MediaType` | `ISO_B3` The MediaType instance for ISO/DIN B3, 353 x 500 mm.
    `static PageAttributes.MediaType` | `ISO_B4` The MediaType instance for ISO/DIN B4, 250 x 353 mm.
    `static PageAttributes.MediaType` | `ISO_B4_ENVELOPE` An alias for ISO_B4.
    `static PageAttributes.MediaType` | `ISO_B5` The MediaType instance for ISO/DIN B5, 176 x 250 mm.
    `static PageAttributes.MediaType` | `ISO_B5_ENVELOPE` An alias for ISO_B5.
    `static PageAttributes.MediaType` | `ISO_B6` The MediaType instance for ISO/DIN B6, 125 x 176 mm.
    `static PageAttributes.MediaType` | `ISO_B7` The MediaType instance for ISO/DIN B7, 88 x 125 mm.
    `static PageAttributes.MediaType` | `ISO_B8` The MediaType instance for ISO/DIN B8, 62 x 88 mm.
    `static PageAttributes.MediaType` | `ISO_B9` The MediaType instance for ISO/DIN B9, 44 x 62 mm.
    `static PageAttributes.MediaType` | `ISO_C0` The MediaType instance for ISO/DIN C0, 917 x 1297 mm.
    `static PageAttributes.MediaType` | `ISO_C0_ENVELOPE` An alias for ISO_C0.
    `static PageAttributes.MediaType` | `ISO_C1` The MediaType instance for ISO/DIN C1, 648 x 917 mm.
    `static PageAttributes.MediaType` | `ISO_C1_ENVELOPE` An alias for ISO_C1.
    `static PageAttributes.MediaType` | `ISO_C10` The MediaType instance for ISO/DIN C10, 28 x 40 mm.
    `static PageAttributes.MediaType` | `ISO_C10_ENVELOPE` An alias for ISO_C10.
    `static PageAttributes.MediaType` | `ISO_C2` The MediaType instance for ISO/DIN C2, 458 x 648 mm.
    `static PageAttributes.MediaType` | `ISO_C2_ENVELOPE` An alias for ISO_C2.
    `static PageAttributes.MediaType` | `ISO_C3` The MediaType instance for ISO/DIN C3, 324 x 458 mm.
    `static PageAttributes.MediaType` | `ISO_C3_ENVELOPE` An alias for ISO_C3.
    `static PageAttributes.MediaType` | `ISO_C4` The MediaType instance for ISO/DIN C4, 229 x 324 mm.
    `static PageAttributes.MediaType` | `ISO_C4_ENVELOPE` An alias for ISO_C4.
    `static PageAttributes.MediaType` | `ISO_C5` The MediaType instance for ISO/DIN C5, 162 x 229 mm.
    `static PageAttributes.MediaType` | `ISO_C5_ENVELOPE` An alias for ISO_C5.
    `static PageAttributes.MediaType` | `ISO_C6` The MediaType instance for ISO/DIN C6, 114 x 162 mm.
    `static PageAttributes.MediaType` | `ISO_C6_ENVELOPE` An alias for ISO_C6.
    `static PageAttributes.MediaType` | `ISO_C7` The MediaType instance for ISO/DIN C7, 81 x 114 mm.
    `static PageAttributes.MediaType` | `ISO_C7_ENVELOPE` An alias for ISO_C7.
    `static PageAttributes.MediaType` | `ISO_C8` The MediaType instance for ISO/DIN C8, 57 x 81 mm.
    `static PageAttributes.MediaType` | `ISO_C8_ENVELOPE` An alias for ISO_C8.
    `static PageAttributes.MediaType` | `ISO_C9` The MediaType instance for ISO/DIN C9, 40 x 57 mm.
    `static PageAttributes.MediaType` | `ISO_C9_ENVELOPE` An alias for ISO_C9.
    `static PageAttributes.MediaType` | `ISO_DESIGNATED_LONG` The MediaType instance for ISO Designated Long, 110 x 220 mm.
    `static PageAttributes.MediaType` | `ISO_DESIGNATED_LONG_ENVELOPE` An alias for ISO_DESIGNATED_LONG.
    `static PageAttributes.MediaType` | `ITALY` An alias for ITALY_ENVELOPE.
    `static PageAttributes.MediaType` | `ITALY_ENVELOPE` The MediaType instance for Italy Envelope, 110 x 230 mm.
    `static PageAttributes.MediaType` | `JIS_B0` The MediaType instance for JIS B0, 1030 x 1456 mm.
    `static PageAttributes.MediaType` | `JIS_B1` The MediaType instance for JIS B1, 728 x 1030 mm.
    `static PageAttributes.MediaType` | `JIS_B10` The MediaType instance for JIS B10, 32 x 45 mm.
    `static PageAttributes.MediaType` | `JIS_B2` The MediaType instance for JIS B2, 515 x 728 mm.
    `static PageAttributes.MediaType` | `JIS_B3` The MediaType instance for JIS B3, 364 x 515 mm.
    `static PageAttributes.MediaType` | `JIS_B4` The MediaType instance for JIS B4, 257 x 364 mm.
    `static PageAttributes.MediaType` | `JIS_B5` The MediaType instance for JIS B5, 182 x 257 mm.
    `static PageAttributes.MediaType` | `JIS_B6` The MediaType instance for JIS B6, 128 x 182 mm.
    `static PageAttributes.MediaType` | `JIS_B7` The MediaType instance for JIS B7, 91 x 128 mm.
    `static PageAttributes.MediaType` | `JIS_B8` The MediaType instance for JIS B8, 64 x 91 mm.
    `static PageAttributes.MediaType` | `JIS_B9` The MediaType instance for JIS B9, 45 x 64 mm.
    `static PageAttributes.MediaType` | `LEDGER` The MediaType instance for Ledger, 11 x 17 in.
    `static PageAttributes.MediaType` | `LEGAL` An alias for NA_LEGAL.
    `static PageAttributes.MediaType` | `LETTER` An alias for NA_LETTER.
    `static PageAttributes.MediaType` | `MONARCH` An alias for MONARCH_ENVELOPE.
    `static PageAttributes.MediaType` | `MONARCH_ENVELOPE` The MediaType instance for Monarch Envelope, 3 7/8 x 7 1/2 in.
    `static PageAttributes.MediaType` | `NA_10X13_ENVELOPE` The MediaType instance for North American 10 x 13 in.
    `static PageAttributes.MediaType` | `NA_10X14_ENVELOPE` The MediaType instance for North American 10 x 14 in.
    `static PageAttributes.MediaType` | `NA_10X15_ENVELOPE` The MediaType instance for North American 10 x 15 in.
    `static PageAttributes.MediaType` | `NA_6X9_ENVELOPE` The MediaType instance for North American 6 x 9 in.
    `static PageAttributes.MediaType` | `NA_7X9_ENVELOPE` The MediaType instance for North American 7 x 9 in.
    `static PageAttributes.MediaType` | `NA_9X11_ENVELOPE` The MediaType instance for North American 9 x 11 in.
    `static PageAttributes.MediaType` | `NA_9X12_ENVELOPE` The MediaType instance for North American 9 x 12 in.
    `static PageAttributes.MediaType` | `NA_LEGAL` The MediaType instance for North American Legal, 8 1/2 x 14 in.
    `static PageAttributes.MediaType` | `NA_LETTER` The MediaType instance for North American Letter, 8 1/2 x 11 in.
    `static PageAttributes.MediaType` | `NA_NUMBER_10_ENVELOPE` The MediaType instance for North American #10 Business Envelope, 4 1/8 x 9 1/2 in.
    `static PageAttributes.MediaType` | `NA_NUMBER_11_ENVELOPE` The MediaType instance for North American #11 Business Envelope, 4 1/2 x 10 3/8 in.
    `static PageAttributes.MediaType` | `NA_NUMBER_12_ENVELOPE` The MediaType instance for North American #12 Business Envelope, 4 3/4 x 11 in.
    `static PageAttributes.MediaType` | `NA_NUMBER_14_ENVELOPE` The MediaType instance for North American #14 Business Envelope, 5 x 11 1/2 in.
    `static PageAttributes.MediaType` | `NA_NUMBER_9_ENVELOPE` The MediaType instance for North American #9 Business Envelope, 3 7/8 x 8 7/8 in.
    `static PageAttributes.MediaType` | `NOTE` An alias for NA_LETTER.
    `static PageAttributes.MediaType` | `PERSONAL` An alias for PERSONAL_ENVELOPE.
    `static PageAttributes.MediaType` | `PERSONAL_ENVELOPE` The MediaType instance for 6 3/4 envelope, 3 5/8 x 6 1/2 in.
    `static PageAttributes.MediaType` | `QUARTO` The MediaType instance for Quarto, 215 x 275 mm.
    `static PageAttributes.MediaType` | `STATEMENT` An alias for INVOICE.
    `static PageAttributes.MediaType` | `TABLOID` An alias for LEDGER.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hashCode()` Returns a hash code value for the object.
    `String` | `toString()` Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ISO_4A0

          public static final PageAttributes.MediaType ISO_4A0

      The MediaType instance for ISO/DIN and JIS 4A0, 1682 x 2378 mm.

    - #### ISO_2A0

          public static final PageAttributes.MediaType ISO_2A0

      The MediaType instance for ISO/DIN and JIS 2A0, 1189 x 1682 mm.

    - #### ISO_A0

          public static final PageAttributes.MediaType ISO_A0

      The MediaType instance for ISO/DIN and JIS A0, 841 x 1189 mm.

    - #### ISO_A1

          public static final PageAttributes.MediaType ISO_A1

      The MediaType instance for ISO/DIN and JIS A1, 594 x 841 mm.

    - #### ISO_A2

          public static final PageAttributes.MediaType ISO_A2

      The MediaType instance for ISO/DIN and JIS A2, 420 x 594 mm.

    - #### ISO_A3

          public static final PageAttributes.MediaType ISO_A3

      The MediaType instance for ISO/DIN and JIS A3, 297 x 420 mm.

    - #### ISO_A4

          public static final PageAttributes.MediaType ISO_A4

      The MediaType instance for ISO/DIN and JIS A4, 210 x 297 mm.

    - #### ISO_A5

          public static final PageAttributes.MediaType ISO_A5

      The MediaType instance for ISO/DIN and JIS A5, 148 x 210 mm.

    - #### ISO_A6

          public static final PageAttributes.MediaType ISO_A6

      The MediaType instance for ISO/DIN and JIS A6, 105 x 148 mm.

    - #### ISO_A7

          public static final PageAttributes.MediaType ISO_A7

      The MediaType instance for ISO/DIN and JIS A7, 74 x 105 mm.

    - #### ISO_A8

          public static final PageAttributes.MediaType ISO_A8

      The MediaType instance for ISO/DIN and JIS A8, 52 x 74 mm.

    - #### ISO_A9

          public static final PageAttributes.MediaType ISO_A9

      The MediaType instance for ISO/DIN and JIS A9, 37 x 52 mm.

    - #### ISO_A10

          public static final PageAttributes.MediaType ISO_A10

      The MediaType instance for ISO/DIN and JIS A10, 26 x 37 mm.

    - #### ISO_B0

          public static final PageAttributes.MediaType ISO_B0

      The MediaType instance for ISO/DIN B0, 1000 x 1414 mm.

    - #### ISO_B1

          public static final PageAttributes.MediaType ISO_B1

      The MediaType instance for ISO/DIN B1, 707 x 1000 mm.

    - #### ISO_B2

          public static final PageAttributes.MediaType ISO_B2

      The MediaType instance for ISO/DIN B2, 500 x 707 mm.

    - #### ISO_B3

          public static final PageAttributes.MediaType ISO_B3

      The MediaType instance for ISO/DIN B3, 353 x 500 mm.

    - #### ISO_B4

          public static final PageAttributes.MediaType ISO_B4

      The MediaType instance for ISO/DIN B4, 250 x 353 mm.

    - #### ISO_B5

          public static final PageAttributes.MediaType ISO_B5

      The MediaType instance for ISO/DIN B5, 176 x 250 mm.

    - #### ISO_B6

          public static final PageAttributes.MediaType ISO_B6

      The MediaType instance for ISO/DIN B6, 125 x 176 mm.

    - #### ISO_B7

          public static final PageAttributes.MediaType ISO_B7

      The MediaType instance for ISO/DIN B7, 88 x 125 mm.

    - #### ISO_B8

          public static final PageAttributes.MediaType ISO_B8

      The MediaType instance for ISO/DIN B8, 62 x 88 mm.

    - #### ISO_B9

          public static final PageAttributes.MediaType ISO_B9

      The MediaType instance for ISO/DIN B9, 44 x 62 mm.

    - #### ISO_B10

          public static final PageAttributes.MediaType ISO_B10

      The MediaType instance for ISO/DIN B10, 31 x 44 mm.

    - #### JIS_B0

          public static final PageAttributes.MediaType JIS_B0

      The MediaType instance for JIS B0, 1030 x 1456 mm.

    - #### JIS_B1

          public static final PageAttributes.MediaType JIS_B1

      The MediaType instance for JIS B1, 728 x 1030 mm.

    - #### JIS_B2

          public static final PageAttributes.MediaType JIS_B2

      The MediaType instance for JIS B2, 515 x 728 mm.

    - #### JIS_B3

          public static final PageAttributes.MediaType JIS_B3

      The MediaType instance for JIS B3, 364 x 515 mm.

    - #### JIS_B4

          public static final PageAttributes.MediaType JIS_B4

      The MediaType instance for JIS B4, 257 x 364 mm.

    - #### JIS_B5

          public static final PageAttributes.MediaType JIS_B5

      The MediaType instance for JIS B5, 182 x 257 mm.

    - #### JIS_B6

          public static final PageAttributes.MediaType JIS_B6

      The MediaType instance for JIS B6, 128 x 182 mm.

    - #### JIS_B7

          public static final PageAttributes.MediaType JIS_B7

      The MediaType instance for JIS B7, 91 x 128 mm.

    - #### JIS_B8

          public static final PageAttributes.MediaType JIS_B8

      The MediaType instance for JIS B8, 64 x 91 mm.

    - #### JIS_B9

          public static final PageAttributes.MediaType JIS_B9

      The MediaType instance for JIS B9, 45 x 64 mm.

    - #### JIS_B10

          public static final PageAttributes.MediaType JIS_B10

      The MediaType instance for JIS B10, 32 x 45 mm.

    - #### ISO_C0

          public static final PageAttributes.MediaType ISO_C0

      The MediaType instance for ISO/DIN C0, 917 x 1297 mm.

    - #### ISO_C1

          public static final PageAttributes.MediaType ISO_C1

      The MediaType instance for ISO/DIN C1, 648 x 917 mm.

    - #### ISO_C2

          public static final PageAttributes.MediaType ISO_C2

      The MediaType instance for ISO/DIN C2, 458 x 648 mm.

    - #### ISO_C3

          public static final PageAttributes.MediaType ISO_C3

      The MediaType instance for ISO/DIN C3, 324 x 458 mm.

    - #### ISO_C4

          public static final PageAttributes.MediaType ISO_C4

      The MediaType instance for ISO/DIN C4, 229 x 324 mm.

    - #### ISO_C5

          public static final PageAttributes.MediaType ISO_C5

      The MediaType instance for ISO/DIN C5, 162 x 229 mm.

    - #### ISO_C6

          public static final PageAttributes.MediaType ISO_C6

      The MediaType instance for ISO/DIN C6, 114 x 162 mm.

    - #### ISO_C7

          public static final PageAttributes.MediaType ISO_C7

      The MediaType instance for ISO/DIN C7, 81 x 114 mm.

    - #### ISO_C8

          public static final PageAttributes.MediaType ISO_C8

      The MediaType instance for ISO/DIN C8, 57 x 81 mm.

    - #### ISO_C9

          public static final PageAttributes.MediaType ISO_C9

      The MediaType instance for ISO/DIN C9, 40 x 57 mm.

    - #### ISO_C10

          public static final PageAttributes.MediaType ISO_C10

      The MediaType instance for ISO/DIN C10, 28 x 40 mm.

    - #### ISO_DESIGNATED_LONG

          public static final PageAttributes.MediaType ISO_DESIGNATED_LONG

      The MediaType instance for ISO Designated Long, 110 x 220 mm.

    - #### EXECUTIVE

          public static final PageAttributes.MediaType EXECUTIVE

      The MediaType instance for Executive, 7 1/4 x 10 1/2 in.

    - #### FOLIO

          public static final PageAttributes.MediaType FOLIO

      The MediaType instance for Folio, 8 1/2 x 13 in.

    - #### INVOICE

          public static final PageAttributes.MediaType INVOICE

      The MediaType instance for Invoice, 5 1/2 x 8 1/2 in.

    - #### LEDGER

          public static final PageAttributes.MediaType LEDGER

      The MediaType instance for Ledger, 11 x 17 in.

    - #### NA_LETTER

          public static final PageAttributes.MediaType NA_LETTER

      The MediaType instance for North American Letter, 8 1/2 x 11 in.

    - #### NA_LEGAL

          public static final PageAttributes.MediaType NA_LEGAL

      The MediaType instance for North American Legal, 8 1/2 x 14 in.

    - #### QUARTO

          public static final PageAttributes.MediaType QUARTO

      The MediaType instance for Quarto, 215 x 275 mm.

    - #### A

          public static final PageAttributes.MediaType A

      The MediaType instance for Engineering A, 8 1/2 x 11 in.

    - #### B

          public static final PageAttributes.MediaType B

      The MediaType instance for Engineering B, 11 x 17 in.

    - #### C

          public static final PageAttributes.MediaType C

      The MediaType instance for Engineering C, 17 x 22 in.

    - #### D

          public static final PageAttributes.MediaType D

      The MediaType instance for Engineering D, 22 x 34 in.

    - #### E

          public static final PageAttributes.MediaType E

      The MediaType instance for Engineering E, 34 x 44 in.

    - #### NA_10X15_ENVELOPE

          public static final PageAttributes.MediaType NA_10X15_ENVELOPE

      The MediaType instance for North American 10 x 15 in.

    - #### NA_10X14_ENVELOPE

          public static final PageAttributes.MediaType NA_10X14_ENVELOPE

      The MediaType instance for North American 10 x 14 in.

    - #### NA_10X13_ENVELOPE

          public static final PageAttributes.MediaType NA_10X13_ENVELOPE

      The MediaType instance for North American 10 x 13 in.

    - #### NA_9X12_ENVELOPE

          public static final PageAttributes.MediaType NA_9X12_ENVELOPE

      The MediaType instance for North American 9 x 12 in.

    - #### NA_9X11_ENVELOPE

          public static final PageAttributes.MediaType NA_9X11_ENVELOPE

      The MediaType instance for North American 9 x 11 in.

    - #### NA_7X9_ENVELOPE

          public static final PageAttributes.MediaType NA_7X9_ENVELOPE

      The MediaType instance for North American 7 x 9 in.

    - #### NA_6X9_ENVELOPE

          public static final PageAttributes.MediaType NA_6X9_ENVELOPE

      The MediaType instance for North American 6 x 9 in.

    - #### NA_NUMBER_9_ENVELOPE

          public static final PageAttributes.MediaType NA_NUMBER_9_ENVELOPE

      The MediaType instance for North American #9 Business Envelope, 3 7/8 x 8 7/8 in.

    - #### NA_NUMBER_10_ENVELOPE

          public static final PageAttributes.MediaType NA_NUMBER_10_ENVELOPE

      The MediaType instance for North American #10 Business Envelope, 4 1/8 x 9 1/2 in.

    - #### NA_NUMBER_11_ENVELOPE

          public static final PageAttributes.MediaType NA_NUMBER_11_ENVELOPE

      The MediaType instance for North American #11 Business Envelope, 4 1/2 x 10 3/8 in.

    - #### NA_NUMBER_12_ENVELOPE

          public static final PageAttributes.MediaType NA_NUMBER_12_ENVELOPE

      The MediaType instance for North American #12 Business Envelope, 4 3/4 x 11 in.

    - #### NA_NUMBER_14_ENVELOPE

          public static final PageAttributes.MediaType NA_NUMBER_14_ENVELOPE

      The MediaType instance for North American #14 Business Envelope, 5 x 11 1/2 in.

    - #### INVITE_ENVELOPE

          public static final PageAttributes.MediaType INVITE_ENVELOPE

      The MediaType instance for Invitation Envelope, 220 x 220 mm.

    - #### ITALY_ENVELOPE

          public static final PageAttributes.MediaType ITALY_ENVELOPE

      The MediaType instance for Italy Envelope, 110 x 230 mm.

    - #### MONARCH_ENVELOPE

          public static final PageAttributes.MediaType MONARCH_ENVELOPE

      The MediaType instance for Monarch Envelope, 3 7/8 x 7 1/2 in.

    - #### PERSONAL_ENVELOPE

          public static final PageAttributes.MediaType PERSONAL_ENVELOPE

      The MediaType instance for 6 3/4 envelope, 3 5/8 x 6 1/2 in.

    - #### A0

          public static final PageAttributes.MediaType A0

      An alias for ISO_A0.

    - #### A1

          public static final PageAttributes.MediaType A1

      An alias for ISO_A1.

    - #### A2

          public static final PageAttributes.MediaType A2

      An alias for ISO_A2.

    - #### A3

          public static final PageAttributes.MediaType A3

      An alias for ISO_A3.

    - #### A4

          public static final PageAttributes.MediaType A4

      An alias for ISO_A4.

    - #### A5

          public static final PageAttributes.MediaType A5

      An alias for ISO_A5.

    - #### A6

          public static final PageAttributes.MediaType A6

      An alias for ISO_A6.

    - #### A7

          public static final PageAttributes.MediaType A7

      An alias for ISO_A7.

    - #### A8

          public static final PageAttributes.MediaType A8

      An alias for ISO_A8.

    - #### A9

          public static final PageAttributes.MediaType A9

      An alias for ISO_A9.

    - #### A10

          public static final PageAttributes.MediaType A10

      An alias for ISO_A10.

    - #### B0

          public static final PageAttributes.MediaType B0

      An alias for ISO_B0.

    - #### B1

          public static final PageAttributes.MediaType B1

      An alias for ISO_B1.

    - #### B2

          public static final PageAttributes.MediaType B2

      An alias for ISO_B2.

    - #### B3

          public static final PageAttributes.MediaType B3

      An alias for ISO_B3.

    - #### B4

          public static final PageAttributes.MediaType B4

      An alias for ISO_B4.

    - #### ISO_B4_ENVELOPE

          public static final PageAttributes.MediaType ISO_B4_ENVELOPE

      An alias for ISO_B4.

    - #### B5

          public static final PageAttributes.MediaType B5

      An alias for ISO_B5.

    - #### ISO_B5_ENVELOPE

          public static final PageAttributes.MediaType ISO_B5_ENVELOPE

      An alias for ISO_B5.

    - #### B6

          public static final PageAttributes.MediaType B6

      An alias for ISO_B6.

    - #### B7

          public static final PageAttributes.MediaType B7

      An alias for ISO_B7.

    - #### B8

          public static final PageAttributes.MediaType B8

      An alias for ISO_B8.

    - #### B9

          public static final PageAttributes.MediaType B9

      An alias for ISO_B9.

    - #### B10

          public static final PageAttributes.MediaType B10

      An alias for ISO_B10.

    - #### C0

          public static final PageAttributes.MediaType C0

      An alias for ISO_C0.

    - #### ISO_C0_ENVELOPE

          public static final PageAttributes.MediaType ISO_C0_ENVELOPE

      An alias for ISO_C0.

    - #### C1

          public static final PageAttributes.MediaType C1

      An alias for ISO_C1.

    - #### ISO_C1_ENVELOPE

          public static final PageAttributes.MediaType ISO_C1_ENVELOPE

      An alias for ISO_C1.

    - #### C2

          public static final PageAttributes.MediaType C2

      An alias for ISO_C2.

    - #### ISO_C2_ENVELOPE

          public static final PageAttributes.MediaType ISO_C2_ENVELOPE

      An alias for ISO_C2.

    - #### C3

          public static final PageAttributes.MediaType C3

      An alias for ISO_C3.

    - #### ISO_C3_ENVELOPE

          public static final PageAttributes.MediaType ISO_C3_ENVELOPE

      An alias for ISO_C3.

    - #### C4

          public static final PageAttributes.MediaType C4

      An alias for ISO_C4.

    - #### ISO_C4_ENVELOPE

          public static final PageAttributes.MediaType ISO_C4_ENVELOPE

      An alias for ISO_C4.

    - #### C5

          public static final PageAttributes.MediaType C5

      An alias for ISO_C5.

    - #### ISO_C5_ENVELOPE

          public static final PageAttributes.MediaType ISO_C5_ENVELOPE

      An alias for ISO_C5.

    - #### C6

          public static final PageAttributes.MediaType C6

      An alias for ISO_C6.

    - #### ISO_C6_ENVELOPE

          public static final PageAttributes.MediaType ISO_C6_ENVELOPE

      An alias for ISO_C6.

    - #### C7

          public static final PageAttributes.MediaType C7

      An alias for ISO_C7.

    - #### ISO_C7_ENVELOPE

          public static final PageAttributes.MediaType ISO_C7_ENVELOPE

      An alias for ISO_C7.

    - #### C8

          public static final PageAttributes.MediaType C8

      An alias for ISO_C8.

    - #### ISO_C8_ENVELOPE

          public static final PageAttributes.MediaType ISO_C8_ENVELOPE

      An alias for ISO_C8.

    - #### C9

          public static final PageAttributes.MediaType C9

      An alias for ISO_C9.

    - #### ISO_C9_ENVELOPE

          public static final PageAttributes.MediaType ISO_C9_ENVELOPE

      An alias for ISO_C9.

    - #### C10

          public static final PageAttributes.MediaType C10

      An alias for ISO_C10.

    - #### ISO_C10_ENVELOPE

          public static final PageAttributes.MediaType ISO_C10_ENVELOPE

      An alias for ISO_C10.

    - #### ISO_DESIGNATED_LONG_ENVELOPE

          public static final PageAttributes.MediaType ISO_DESIGNATED_LONG_ENVELOPE

      An alias for ISO_DESIGNATED_LONG.

    - #### STATEMENT

          public static final PageAttributes.MediaType STATEMENT

      An alias for INVOICE.

    - #### TABLOID

          public static final PageAttributes.MediaType TABLOID

      An alias for LEDGER.

    - #### LETTER

          public static final PageAttributes.MediaType LETTER

      An alias for NA_LETTER.

    - #### NOTE

          public static final PageAttributes.MediaType NOTE

      An alias for NA_LETTER.

    - #### LEGAL

          public static final PageAttributes.MediaType LEGAL

      An alias for NA_LEGAL.

    - #### ENV_10X15

          public static final PageAttributes.MediaType ENV_10X15

      An alias for NA_10X15_ENVELOPE.

    - #### ENV_10X14

          public static final PageAttributes.MediaType ENV_10X14

      An alias for NA_10X14_ENVELOPE.

    - #### ENV_10X13

          public static final PageAttributes.MediaType ENV_10X13

      An alias for NA_10X13_ENVELOPE.

    - #### ENV_9X12

          public static final PageAttributes.MediaType ENV_9X12

      An alias for NA_9X12_ENVELOPE.

    - #### ENV_9X11

          public static final PageAttributes.MediaType ENV_9X11

      An alias for NA_9X11_ENVELOPE.

    - #### ENV_7X9

          public static final PageAttributes.MediaType ENV_7X9

      An alias for NA_7X9_ENVELOPE.

    - #### ENV_6X9

          public static final PageAttributes.MediaType ENV_6X9

      An alias for NA_6X9_ENVELOPE.

    - #### ENV_9

          public static final PageAttributes.MediaType ENV_9

      An alias for NA_NUMBER_9_ENVELOPE.

    - #### ENV_10

          public static final PageAttributes.MediaType ENV_10

      An alias for NA_NUMBER_10_ENVELOPE.

    - #### ENV_11

          public static final PageAttributes.MediaType ENV_11

      An alias for NA_NUMBER_11_ENVELOPE.

    - #### ENV_12

          public static final PageAttributes.MediaType ENV_12

      An alias for NA_NUMBER_12_ENVELOPE.

    - #### ENV_14

          public static final PageAttributes.MediaType ENV_14

      An alias for NA_NUMBER_14_ENVELOPE.

    - #### ENV_INVITE

          public static final PageAttributes.MediaType ENV_INVITE

      An alias for INVITE_ENVELOPE.

    - #### ENV_ITALY

          public static final PageAttributes.MediaType ENV_ITALY

      An alias for ITALY_ENVELOPE.

    - #### ENV_MONARCH

          public static final PageAttributes.MediaType ENV_MONARCH

      An alias for MONARCH_ENVELOPE.

    - #### ENV_PERSONAL

          public static final PageAttributes.MediaType ENV_PERSONAL

      An alias for PERSONAL_ENVELOPE.

    - #### INVITE

          public static final PageAttributes.MediaType INVITE

      An alias for INVITE_ENVELOPE.

    - #### ITALY

          public static final PageAttributes.MediaType ITALY

      An alias for ITALY_ENVELOPE.

    - #### MONARCH

          public static final PageAttributes.MediaType MONARCH

      An alias for MONARCH_ENVELOPE.

    - #### PERSONAL

          public static final PageAttributes.MediaType PERSONAL

      An alias for PERSONAL_ENVELOPE.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Description copied from class: `Object`
      Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

      The general contract of `hashCode` is:

      - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
      - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
      - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.

      As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the Java™ programming language.)

      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### toString

          public String toString()

      Description copied from class: `Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.